@echo off
echo *** Do Not Close this Window ***
echo Temp File: %1
::   Edit (line 5) the path to your Voronoi directory location:
cd "/GIMP-2.10.5/Preferences/plug-ins/Voronoi/"
start voronoi.exe -s 4500 -t .01 -n voronoi.png voronoi.svg %1

::     OPTION VORONOI:

:: p - Controls the tile size of centroid computations. Theoretically, higher values produce more faithful tone preservation
::     at the expense of rendering speed, but real world outcomes are highly variable. Defaults to 5.

:: n - Guarantees that stipple points will not overlap each other at the expense of some tone preservation.
::     Defaults to OFF.

:: s - The number of stipple points to render. Generally speaking,
::     the larger the number of stipples, the more detailed the resulting output image, at the expense of longer render times.
::     Defaults to 4000.

:: t - The cut-off point for the convergence of the stippled output. The unit of this value is the averaged displacement
::     of all stipple points after an iteration of Llyod’s method.That is,if the averaged displacement is lower than this value,
::     then the rendering process has finished. After each iteration of the rendering process, the expectation is that the stipple
::     points have moved closer to their ideal spot. Generally speaking, the lower this value, the less noisy the rendering will be
::     (a desirable quality) at the expense of longer render times. As a rule of thumb, the more stipple points there are,
::     the lower this value should be, but lots of fiddling is necessary\nto get an ideal outcome. 
::     Defaults to 0.1

:: c - If this parameter is present, the output render will be in colour. 
::     Defaults to OFF (That is, rendered output will be in black and white).

:: z - The radius of each stipple point will be multiplied by this factor. 
::     Use this parameter to control the tone preservation quality of the output image. Defaults to 1.0.
 